Bug 1304339 - update to 3.0.1
update to 3.0.1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: easy-rsa (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 06:12 EST by François Kooman
Modified: 2016-07-11 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: easy-rsa-3.0.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-12 06:51:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
update to 3.0.1 (1.36 KB, patch)
2016-02-03 06:12 EST, François Kooman
no flags Details | Diff

  None (edit)
Description François Kooman 2016-02-03 06:12:37 EST
Created attachment 1120717 [details]
update to 3.0.1

Description of problem:

Version 3.0.1 is available.

See attached diff for the spec update.

* Wed Feb 03 2016 François Kooman <fkooman@tuxed.net> - 3.0.1-1
- update to 3.0.1
- TODO is no longer part of the source tar
- create symlinks to the minor version


I created symlinks from /usr/share/easy-rsa/3 and /usr/share/easy-rsa/3.0 to /usr/share/easy-rsa/%{version} to keep stuff working on updates when external apps use easy-rsa, they can point to the major version.
Comment 1 Fedora Update System 2016-02-03 08:51:46 EST
easy-rsa-3.0.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-045f70c4bf
Comment 2 Fedora Update System 2016-02-03 17:59:34 EST
easy-rsa-3.0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-045f70c4bf
Comment 3 Fedora Update System 2016-02-12 06:51:45 EST
easy-rsa-3.0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 David Cartwright 2016-07-10 21:05:49 EDT
It seems there is a glitch in the build of the easy-rsa-3.0.1-1 RPM on both Fedora 23 & Fedora 24 as necessary utilities are missing such as

build-ca
build-key
build-key-server
vars
etc

After installation of easy-rsa, they are nowhere to be found!

The previous version I used on Fedora 18 with 2.0 worked fine.
Comment 5 Gwyn Ciesla 2016-07-11 11:38:38 EDT
They're not part of the upstream source, I believe they've been rolled into the easyrsa command.

Note You need to log in before you can comment on or make changes to this bug.